LOGNAME(1) | General Commands Manual | LOGNAME(1)

# NAME

logname — display user's login name

# SYNOPSIS

logname |

# DESCRIPTION

The logname utility writes the user's login name to standard output followed by a newline.

The logname utility explicitly ignores the LOGNAME and USER environment variables because the environment cannot be trusted.

The logname utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

who(1), whoami(1), getlogin(2)

# STANDARDS

The logname utility conforms to IEEE Std 1003.2-1992 (“POSIX.2”).

# HISTORY

The logname command appeared in 4.4BSD.

June 9, 1993 | NetBSD 6.0